Home / API Documentation / Project management / Quota of projects / See project quota details

See project quota details

Requests

HTTP request

GET /apis/auth.alauda.io/v1/projectquotas/{name}

read the specified ProjectQuota

Path parameters

Name Type Required Description
name string Truename of the ProjectQuota

Query parameters

Name Type Required Description
resourceVersion string FalseWhen specified: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.
pretty string FalseIf 'true', then the output is pretty printed.

Responses

Content-Type application/json, application/yaml

Status code: 200

OK

Sample response

{
   "apiVersion": "auth.alauda.io/v1",
   "kind": "ProjectQuota",
   "metadata": {
     "creationTimestamp": "2021-06-24T12:15:46Z",
     "generation": 1,
     "labels": {
       "cpaas.io/cluster.name": "global",
       "cpaas.io/cluster.type": "",
       "cpaas.io/project": "cpaas"
     },
     "name": "cpaas",
     "resourceVersion": "3604075",
     "selfLink": "/apis/auth.alauda.io/v1/projectquotas/cpaas",
     "uid": "88938232-0f2f-4921-bbd6-bbae820fab2d"
   },
   "spec": {
     "hard": {
       "limits.cpu": "200",
       "limits.memory": "200Gi",
       "persistentVolumeclaims": "200",
       "pods": "200",
       "requests.cpu": "200",
       "requests.memory": "200Gi",
       "requests.storage": "200Gi"
     }
   },
   "status": {}
 }

Parameters

Name Type Description
apiVersion string See common parameters
kind string See common parameters
metadata object See common parameters
spec object Spec is the specification of the project. This may or may not be reconciled by an active controller.
Path: spec
spec.hard object record the quota info of project.
Path: spec.hard
status object Status is the status of the project.
Path: status

Other status codes

Status code: 401

Unauthorized